<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:label="http://xbrl.org/2008/label" xmlns:gen="http://xbrl.org/2008/generic" xmlns:va="http://xbrl.org/2008/assertion/value" xmlns:df="http://xbrl.org/2008/filter/dimension" xmlns:variable="http://xbrl.org/2008/variable" xmlns:cf="http://xbrl.org/2008/filter/concept" xmlns:gf="http://xbrl.org/2008/filter/general" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:ea="http://xbrl.org/2008/assertion/existence">
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple"/>
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:href="hmi-2021-12-31.xsd#hmi_CashHeldInEscrowAccounts" xlink:type="locator" xlink:label="CashHeldInEscrowAccounts"/>
        <link:loc xlink:href="hmi-2021-12-31.xsd#hmi_FinancialInvestments" xlink:type="locator" xlink:label="FinancialInvestments"/>
        <link:loc xlink:href="hmi-2021-12-31.xsd#hmi_AdjustmentsForInterestIncomeAndInterestExpense" xlink:type="locator" xlink:label="AdjustmentsForInterestIncomeAndInterestExpense"/>
        <link:loc xlink:href="hmi-2021-12-31.xsd#hmi_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:type="locator" xlink:label="AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_SalesAndMarketingExpense" xlink:type="locator" xlink:label="SalesAndMarketingExpense"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashHeldInEscrowAccounts" xlink:to="label_CashHeldInEscrowAccounts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashHeldInEscrowAccounts" xlink:to="documentation_CashHeldInEscrowAccounts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinancialInvestments" xlink:to="label_FinancialInvestments" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinancialInvestments" xlink:to="documentation_FinancialInvestments" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForInterestIncomeAndInterestExpense" xlink:to="label_AdjustmentsForInterestIncomeAndInterestExpense" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForInterestIncomeAndInterestExpense" xlink:to="documentation_AdjustmentsForInterestIncomeAndInterestExpense" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:to="label_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:to="documentation_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SalesAndMarketingExpense" xlink:to="negated_SalesAndMarketingExpense" xlink:type="arc"/>
        <link:label id="label_CashHeldInEscrowAccounts_en" xlink:label="label_CashHeldInEscrowAccounts" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash held in escrow accounts</link:label>
        <link:label id="documentation_CashHeldInEscrowAccounts_en" xlink:label="documentation_CashHeldInEscrowAccounts" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Cash held in escrow accounts</link:label>
        <link:label id="label_FinancialInvestments_en" xlink:label="label_FinancialInvestments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Financial investments</link:label>
        <link:label id="documentation_FinancialInvestments_en" xlink:label="documentation_FinancialInvestments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Financial investments</link:label>
        <link:label id="label_AdjustmentsForInterestIncomeAndInterestExpense_en" xlink:label="label_AdjustmentsForInterestIncomeAndInterestExpense" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for interest income and interest expense</link:label>
        <link:label id="documentation_AdjustmentsForInterestIncomeAndInterestExpense_en" xlink:label="documentation_AdjustmentsForInterestIncomeAndInterestExpense" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments for interest income and interest expense</link:label>
        <link:label id="label_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts_en" xlink:label="label_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for decrease (increase) in cash held in escrow accounts</link:label>
        <link:label id="documentation_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts_en" xlink:label="documentation_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments for decrease (increase) in cash held in escrow accounts</link:label>
        <link:label id="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_en" xlink:label="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets negated</link:label>
        <link:label id="negated_SalesAndMarketingExpense_en" xlink:label="negated_SalesAndMarketingExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Sales and marketing expense negated</link:label>
    </link:labelLink>
</link:linkbase>
